From a41888d57f1e994e51f9aed39491786a36b18da0 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Fri, 10 Apr 2020 09:09:13 +0300
Subject: [PATCH 19/59] WIP: AlpineApkUpdater: enable upgrade action again

---
 .../backends/AlpineApkBackend/AlpineApkUpdater.cpp | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
index dae6c2a31..89a816c44 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
@@ -170,15 +170,17 @@ void AlpineApkUpdater::cancel()
 void AlpineApkUpdater::start()
 {
     qCDebug(LOG_ALPINEAPK) << Q_FUNC_INFO;
-    return;
-#if 0
+    //return;
+//#if 0
     KAuth::Action upgradeAction(QStringLiteral("org.kde.discover.alpineapkbackend.upgrade"));
     upgradeAction.setHelperId(QStringLiteral("org.kde.discover.alpineapkbackend"));
+
     if (!upgradeAction.isValid()) {
         qCWarning(LOG_ALPINEAPK) << "kauth upgradeAction is not valid!";
         return;
     }
-    upgradeAction.setTimeout(60 * 1000); // 1 minute
+
+    upgradeAction.setTimeout(30 * 60 * 1000); // 30 min
 #if KAUTH_VERSION < QT_VERSION_CHECK(5, 68, 0)
     upgradeAction.setDetails(i18n("Upgrade currently installed packages"));
 #else
@@ -189,13 +191,13 @@ void AlpineApkUpdater::start()
 #endif
     // upgradeAction.addArgument(QLatin1String("onlySimulate"), true);
 
-    // run upgrade check with elevated privileges
+    // run upgrade with elevated privileges
     KAuth::ExecuteJob *reply = upgradeAction.execute();
     QObject::connect(reply, &KAuth::ExecuteJob::result,
                      this, &AlpineApkUpdater::handleKAuthUpgradeHelperReply);
 
     reply->start();
-#endif
+//#endif
 }
 
 void AlpineApkUpdater::proceed()
@@ -272,7 +274,7 @@ void AlpineApkUpdater::handleKAuthUpgradeHelperReply(KJob *job)
     if (reply->error() == 0) {
         QVariant pkgsV = replyData.value(QLatin1String("changes"));
         bool onlySimulate = replyData.value(QLatin1String("onlySimulate"), false).toBool();
-        qCDebug(LOG_ALPINEAPK) << "KAuth helper upgrade reply received:" << onlySimulate;
+        qCDebug(LOG_ALPINEAPK) << "KAuth helper upgrade reply received, onlySimulate:" << onlySimulate;
         if (onlySimulate) {
             QVector<QtApk::Package> pkgVector = pkgsV.value<QVector<QtApk::Package>>();
             qCDebug(LOG_ALPINEAPK) << "  num changes:" << pkgVector.size();
-- 
GitLab


